#!/bin/csh
# this file tries to copy the right file into config
# and build the dummy config.dat which is not on the tape
    if ( -f config.mak ) rm -f config.mak
    if ( -f config.dat ) rm -f config.dat
    uname -s 
    if ( $status == 0 ) then
      set UNAME=`uname -s`
      switch ($UNAME)
         case HP-UX : 
                      set ARCH='hp-ux'
                      cc -Aa >& config.dat
                      grep  -q  option config.dat
                      if ( $status != 0 ) set KK=a
                      breaksw
         case SunOS : 
                      set ARCH='sunOs'
                      cc -Xa >& config.dat
                      grep  -s  Xa config.dat
                      if ( $status == 0 ) set KK=a
                      breaksw
         case AIX : 
                      set ARCH='aix'
                      set KK=a
                      breaksw
         case Linux : 
                      set ARCH='linux'
                      set KK=a
                      breaksw
         case IRIX : 
                      set ARCH='irix'
                      set KK=a
                      breaksw
         default :    
                      echo ' default'
                      set ARCH='unknown'
                      echo $ARCH
                      breaksw
         endsw             

    if ( -f a.out ) rm -f a.out

#not known
    if  ( ! $?ARCH ) then
       set ARCH='unknown'
       endif

echo the system has been found as $ARCH

    if  ( $?KK ) then
       echo the compiler accepts ansi option
        else
       echo ansi option has not been recognised
       set KK=kk
       endif
 
# now copies the right file into mak/config and info in config.dat
    set KERNEL=$ARCH.$KK
    if ( -f mak/$KERNEL ) then
       cp  mak/$KERNEL config.mak
       date >! config.dat
       echo "KERNEL $KERNEL" >> config.dat 
       echo "make will use a copy of mak/$KERNEL named config.mak"  
    else
       cp mak/unknown config.mak 
       date >! config.dat
       echo "KERNEL unknown" >> config.dat 
       echo "make will use a copy of mak/unknown, mak/$KERNEL not found"
       set KERNEL=unknown  
    endif
    echo "make has been configured for $KERNEL"
	 echo "if make fail, try to restart it : just retype make"
    echo " "
    echo "if make run the same script 'config.csh'"
    echo "you may have to look at the file date : 'touch *'"
	 echo "make is now restarted to read its new configuration"
    echo " "
